List Celo election rewards for a specific address
curl --request GET \
--url https://api.blockscout.com/{chain_id}/api/v2/addresses/{address_hash_param}/celo/election-rewards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blockscout.com/{chain_id}/api/v2/addresses/{address_hash_param}/celo/election-rewards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blockscout.com/{chain_id}/api/v2/addresses/{address_hash_param}/celo/election-rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"account": {
"ens_domain_name": "<string>",
"hash": "<string>",
"implementations": [
{
"address_hash": "<string>",
"name": "<string>"
}
],
"is_contract": true,
"is_scam": true,
"is_verified": true,
"metadata": {
"tags": [
{
"meta": {},
"name": "<string>",
"ordinal": 123,
"slug": "<string>",
"tagType": "<string>"
}
]
},
"name": "<string>",
"private_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"public_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"watchlist_names": [
{
"display_name": "<string>",
"label": "<string>"
}
]
},
"amount": "<string>",
"associated_account": {
"ens_domain_name": "<string>",
"hash": "<string>",
"implementations": [
{
"address_hash": "<string>",
"name": "<string>"
}
],
"is_contract": true,
"is_scam": true,
"is_verified": true,
"metadata": {
"tags": [
{
"meta": {},
"name": "<string>",
"ordinal": 123,
"slug": "<string>",
"tagType": "<string>"
}
]
},
"name": "<string>",
"private_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"public_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"watchlist_names": [
{
"display_name": "<string>",
"label": "<string>"
}
]
},
"block_hash": "<string>",
"block_number": 123,
"block_timestamp": "2023-11-07T05:31:56Z",
"epoch_number": 123,
"token": {
"address_hash": "<string>",
"circulating_market_cap": "<string>",
"circulating_supply": "<string>",
"decimals": "<string>",
"exchange_rate": "<string>",
"holders_count": "<string>",
"icon_url": "https://example.com",
"name": "<string>",
"symbol": "<string>",
"total_supply": "<string>",
"volume_24h": "<string>",
"foreign_address": "<string>",
"origin_chain_id": "<string>"
}
}
],
"next_page_params": {
"amount": "1000000000000000000",
"associated_account_address_hash": "0x1234567890123456789012345678901234567890",
"epoch_number": 100,
"type": "validator"
}
}{
"message": "Unverified email"
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}addresses
List Celo election rewards for a specific address
Retrieves Celo election rewards for a specific address.
GET
/
{chain_id}
/
api
/
v2
/
addresses
/
{address_hash_param}
/
celo
/
election-rewards
List Celo election rewards for a specific address
Authorizations
bearerAuthapiKeyAuth
API key passed as a Bearer token in the Authorization header.
Path Parameters
Address hash in the path
Pattern:
^0x([A-Fa-f0-9]{40})$The ID of the blockchain
Query Parameters
Number of items per page
Required range:
x >= 1Epoch number for paging
Pattern:
^-?([1-9][0-9]*|0)$Amount for paging
Pattern:
^-?([1-9][0-9]*|0)$Associated account address hash for paging
Pattern:
^0x([A-Fa-f0-9]{40})$Type for paging
Available options:
voter, validator, group, delegated_payment, delegated-payment Response
Celo election rewards for the specified address.
Was this page helpful?
List blocks validated (mined) by a specific validator/miner address
Previous
Export Celo election rewards as CSV
Next
⌘I